Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class PositionInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.PositionInformation

All Implemented Interfaces:
  IMessage

    public class PositionInformation

extends WorldInformation

The class represent the location information of rescue agent.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`PositionInformation(int time, rescuecore2.worldmodel.EntityID platoonID, rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> cor)` Constructor
`PositionInformation(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getAgentID()` Return EntityID of the rescue agent.
`rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer>` | `getCoordinate()` Return the coordinate of the agent.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionInformation

    public PositionInformation(int time,
                               rescuecore2.worldmodel.EntityID platoonID,
                               rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> cor)

  ## Constructor

  Create the information of the agent's location.
  Included data are follow.
  - time:the time that the message is created.(int)
  - agentID:EntityID of the rescue agent.
  - coordinate:agent location.(Pair<Integer,Integer>)

  Parameters:
    `time` - step num
    `platoonID` - EntityID of the rescue agent
    `cor` - agent location

### PositionInformation

    public PositionInformation(java.util.List<java.lang.Integer> bitList,
                               int offset,
                               java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getAgentID

    public rescuecore2.worldmodel.EntityID getAgentID()

  Return EntityID of the rescue agent.

  Returns:
    EntityID

### getCoordinate

    public rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> getCoordinate()

  Return the coordinate of the agent.

  Returns:
    coordinate(Pair<Integer,Integer>)

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD